Bug 1259363 - Visual flaws in host heatmap report
Visual flaws in host heatmap report
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-reports
Classification: oVirt
Component: Reports (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.2
: 3.6.2.3
Assigned To: Shirly Radco
Lukas Svaty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 09:18 EDT by Karolína Hajná
Modified: 2016-05-19 21:24 EDT (History)
12 users (show)

See Also:
Fixed In Version: ovirt-engine-reports-3.6.2.3-1.el6.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:07:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Reports
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
visual flaws (42.37 KB, image/png)
2015-09-02 09:18 EDT, Karolína Hajná
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51493 master MERGED reports: fixed visual flaws in br49 reports 2016-01-07 08:41 EST

  None (edit)
Description Karolína Hajná 2015-09-02 09:18:15 EDT
Created attachment 1069419 [details]
visual flaws

Description of problem:
Host names are not shown in the report whole. Fields with value 0 have white background despite the legend which says it should be light blue. There is also one extra row in the report full of grey x fields.

Version-Release number of selected component (if applicable):
3.6.0-0.12.master.el6

How reproducible:
100%

Steps to Reproduce:
1.Go to reports portal and open Host heatmap report

Actual results:
several visual flaws

Expected results:
whole host name (or reasonable larger number of characters shown), 0 value field in light blue color (or changed legend), the extra row gone

Additional info:
I attached a screenshot so it's clear what I mean
Comment 1 Yaniv Lavi (Dary) 2015-09-03 04:32:57 EDT
Can you attach screenshots?
Comment 2 Karolína Hajná 2015-09-03 04:39:42 EDT
(In reply to Yaniv Dary from comment #1)
> Can you attach screenshots?

I attached a screenshot while reporting this bug. I can see it in attachements.
Comment 4 Lukas Svaty 2016-01-21 09:07:50 EST
Correct:
0 value legend was changed to white which was expected

Incorrect:
1 extra row of X as on screenshot is still visible.
Full host name is not visible (which I would not consider a bug) but to enlarge it to at least 15 characters to fit in full ip address, which is common 255.255.255.255 .
Comment 5 Shirly Radco 2016-01-21 10:59:17 EST
(In reply to Lukas Svaty from comment #4)
> Correct:
> 0 value legend was changed to white which was expected

So this is ok. right?

> 
> Incorrect:
> 1 extra row of X as on screenshot is still visible.

This has a separate bug https://bugzilla.redhat.com/show_bug.cgi?id=1296585

> Full host name is not visible (which I would not consider a bug) but to
> enlarge it to at least 15 characters to fit in full ip address, which is
> common 255.255.255.255 .

I added a tool tip fir the host name.
IP address appears if a Host name is not set.
Host name can be longer then 15 character
Please open in a new bug to make this field 15 characters.
Comment 6 Lukas Svaty 2016-01-22 04:32:39 EST
I agree. extra row bug - BZ#1296585
Hostname length - Bug 1300983 - Heatmap report - longer field for host name

thus moving this to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.